com.amazon.redshift.jdbc

## Class MetadataAPIHelper.ShowPrimaryKeysInfo

- java.lang.Object
- - com.amazon.redshift.jdbc.MetadataAPIHelper.ShowPrimaryKeysInfo

Enclosing class:
  MetadataAPIHelper

    public static class MetadataAPIHelper.ShowPrimaryKeysInfo
    extends Object

Data container for primary key metadata returned by the SHOW CONSTRAINTS PRIMARY KEYS command.

This class represents information about columns that participate in a table's primary key constraint. Each instance represents one column in the primary key, with the key sequence indicating the column's position within a multi-column key. Used by JDBC metadata methods like getPrimaryKeys() to provide structured access to primary key information.

For composite primary keys (multiple columns), multiple instances will be created with the same pkName but different keySeq values to indicate column ordering.

See Also:
  `DatabaseMetaData.getPrimaryKeys(String, String, String)`, `MetadataServerProxy.getPrimaryKeys(String, String, String, boolean)`

### Constructor Summary

Constructors
Constructor and Description
`ShowPrimaryKeysInfo(String tableName, String columnName)`
`ShowPrimaryKeysInfo(String databaseName, String schemaName, String tableName, String columnName, String keySeq, String pkName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getColumnName()`
`String` `getDatabaseName()`
`String` `getKeySeq()`
`String` `getPkName()`
`String` `getSchemaName()`
`String` `getTableName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowPrimaryKeysInfo

    public ShowPrimaryKeysInfo(String databaseName,
                               String schemaName,
                               String tableName,
                               String columnName,
                               String keySeq,
                               String pkName)

#### ShowPrimaryKeysInfo

    public ShowPrimaryKeysInfo(String tableName,
                               String columnName)

### Method Detail

#### getDatabaseName

    public String getDatabaseName()

#### getSchemaName

    public String getSchemaName()

#### getTableName

    public String getTableName()

#### getColumnName

    public String getColumnName()

#### getKeySeq

    public String getKeySeq()

#### getPkName

    public String getPkName()